/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: CookieManagerTests.java,v 1.7.8.1 2000/10/19 17:58:53 jasona Exp $
 */
package com.lutris.http.tests;
import com.lutris.http.*;
import java.util.*;





public class CookieManagerTests
{
    /**
     * Where to print test results.
     */
    static java.io.PrintStream out = System.out;

    /**
     * Constructor.
     */
    public CookieManagerTests()
    {
        out = System.out;
    }

    /**
     * Main entry point which executes all the tests.
     *
     * @param args
     *   Command line arguments.
     */
    public static void main(String [] args)
        throws Exception
    {
        CookieManagerTests parserTests = new CookieManagerTests();
        HttpCookieManager manager = new HttpCookieManager();
        String header;
        
        out.println();
        out.println("com.lutris.http.HttpCookieManager");

        //
        header = "firstName=Kyle; lastName=Clark";
        out.println();
        out.println("mergeHeader(\"" + header + "\")");
        manager.mergeHeader(header);

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        //
        header = "firstName=Kyle, lastName=Clark";
        out.println();
        out.println("mergeHeader(\"" + header + "\")");
        manager.mergeHeader(header);

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        //
        header = "brownDog=Pima; path=/lighthouse/field; domain=lutris.com, " +
            "whiteDog=Souyen; secure; domain=sleep.com";
        out.println();
        out.println("mergeHeader(\"" + header + "\")");
        manager.mergeHeader(header);

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getRequestHeader(null, null)");
        out.println(manager.getRequestHeader(null, null));

        //
        out.println();
        out.println("getRequestHeader(\"/lighthouse\", null)");
        out.println(manager.getRequestHeader("/lighthouse", null));

        //
        out.println();
        out.println("getRequestHeader(\"/lighthouse\", \"lutris.com\")");
        out.println(manager.getRequestHeader("/lighthouse", "lutris.com"));

        //
        out.println();
        out.println("getRequestHeader(null, \"lutris.com\")");
        out.println(manager.getRequestHeader(null, "lutris.com"));

        //
        out.println();
        out.println("getRequestHeader(\"/bogus\", \"lutris.com\")");
        out.println(manager.getRequestHeader("/bogus", "lutris.com"));

        //
        out.println();
        out.println("getRequestHeader(\"/lighthouse\", \"bogus.com\")");
        out.println(manager.getRequestHeader("/lighthouse", "bogus.com"));

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        //
        out.println();
        out.println("clear()");
        manager.clear();

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        out.println();

    }
}
