/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: MimeEOFException.java,v 1.7.12.1 2000/10/19 17:58:53 jasona Exp $
 */




package	com.lutris.mime;

/**
 * Exception to indicate that an attempt was made to read beyond the end
 * of a Multipart/Form-Data input stream.  This is an internally caught 
 * exception and is never thrown outside <code>MultipartForm</code> or
 * <code>MultipartFormStream</code>.
 */
class MimeEOFException extends Exception
{
    /**
     * Creates an MimeEOFException object with a specified reason
     * string.
     * 
     * @param s			Reason string.
     */
    MimeEOFException(String s)
    {
	super(s);
    }
    
    /**
     * Creates a MimeEOFException object.
     */
    MimeEOFException()
    {
	super();
    }
}
