/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ExceptionUtils.java,v 1.9.12.1 2000/10/19 17:58:53 jasona Exp $
 */

package com.lutris.util;

import java.io.StringWriter;
import java.io.PrintWriter;

/**
 * A collection of static methods that deal with Exceptions.
 *
 * @see java.lang.Exception;
 * @author Andy John
 */
public class ExceptionUtils {

    /**
     * Do not instantiate objects of this class. Use the static methods.
     */
    private ExceptionUtils() {
    }


    /**
     * Returns a text description of the Exception. This uses both the
     * <CODE>toString()</CODE> method and the <CODE>printStackTrace()</CODE>
     *  method.
     *
     * @param e The Exception to return a description of.
     * @return A full description of the Exception.
     */
    public static String describeException(Exception e) {
        StringWriter sw = new StringWriter();
        PrintWriter pw = new PrintWriter(sw);
        pw.println(e);
        e.printStackTrace(pw);
        return sw.toString();
    }
}

