/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ConfigFileTest.java,v 1.8.8.1 2000/10/19 17:58:53 jasona Exp $
 */





package com.lutris.util.tests;

import com.lutris.util.*;

public class ConfigFileTest
{
    public static void main(String args[])
	    throws ParseException, ConfigException, KeywordValueException
    {
	ConfigFile cf = new ConfigFile(System.in);
	String values = "value1, \"This is value 2\"";
	cf.addEntry("adding.a.test.entry", values, "# Test comment");
	cf.addEntry("this.will.be.removed", values, "# Test comment");
	cf.removeEntry("bogus");
	cf.removeEntry("this.will.be.removed");
	Config c = cf.getConfig();
	c.set("config.test.entry", values);
	c.set("remove.this", values);
	c.remove("remove.this");
	int i1 = c.getInt("int.one");
	int[] i2 = c.getInts("int.two");
	double d1 = c.getDouble("double.one");
	double[] d2 = c.getDoubles("double.two");
	String s1 = c.getString("string.one");
	String[] s2 = c.getStrings("string.two");
	System.out.println("# got i1 = " + i1);
	System.out.println("# got i2 = " + i2[0] + ", " + i2[1]);
	System.out.println("# got d1 = " + d1);
	System.out.println("# got d2 = " + d2[0] + ", " + d2[1]);
	System.out.println("# got s1 = " + s1);
	System.out.println("# got s2 = " + s2[0] + ", " + s2[1]);
	cf.write(System.out);
    }
}

