/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

package com.lutris.dods.store;

import com.lutris.dods.store.doml.DOMLFactory;
import java.io.File;
import java.lang.reflect.Method;
import java.lang.reflect.InvocationTargetException;
import java.util.Vector;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class Store {
    private File				  outputFile = null;
    private File				  inputFile = null;
    private File				  currentDirectory = null;
    private com.lutris.dods.store.doa.DODSProject project = null;

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public Store() {}

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public boolean isSaved() {
	boolean				      saved = false;
	com.lutris.dods.store.doa.DODSProject diskImage = null;

	if (getOutputFile() != null) {
	    diskImage = DOMLFactory.readDOML(getOutputFile());
	} 

	if (project != null && diskImage != null) {
	    if (project.equals(diskImage)) {
		saved = true;
	    } 
	} 

	return saved;
    } 

    /**
     * Method declaration
     *
     *
     * @param f
     *
     * @see
     */
    public void setInputFile(File f) {
	inputFile = f;
	outputFile = null;
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public File getInputFile() {
	return inputFile;
    } 

    /**
     * Method declaration
     *
     *
     * @see
     */
    public void create() {
	outputFile = null;
	inputFile = null;
	project = new com.lutris.dods.store.doa.DODSProject("root");

	project.setDatabase("Standard");
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public com.lutris.dods.store.doa.DODSProject getProject() {
        if (project == null) {
          create();
        }
	return project;
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public boolean isInputDOA() {
	boolean inputDOA = false;
	String  extension = 
	    com.lutris.dods.util.Util.getExtension(getInputFile());

	if (extension != null && extension.equalsIgnoreCase("doa")) {
	    inputDOA = true;
	} 

	return inputDOA;
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public boolean isInputDOML() {
	boolean inputDOML = false;
	String  extension = 
	    com.lutris.dods.util.Util.getExtension(getInputFile());

	if (extension != null && extension.equalsIgnoreCase("doml")) {
	    inputDOML = true;
	} 

	return inputDOML;
    } 

    /**
     * Method declaration
     *
     *
     * @throws dods.doml.UpException
     *
     * @see
     */
    public void read() throws dods.doml.UpException {
	try {
	    if (isInputDOA()) {
		upgradeDOA();
	    } else if (isInputDOML()) {
		readDOML();
	    } 

	    project.setFile(getOutputFile());
	} catch (NullPointerException e) {
	    project = null;
	} 
    } 

    /**
     * Method declaration
     *
     *
     * @see
     */
    private void readDOML() {
	project = DOMLFactory.readDOML(inputFile);
    } 

    /**
     * Method declaration
     *
     *
     * @throws dods.doml.UpException
     *
     * @see
     */
    private void upgradeDOA() throws dods.doml.UpException {
	dods.doml.Upgrade upgrade = new dods.doml.Upgrade();

	upgrade.convert(inputFile);
	setInputFile(upgrade.getOutput());
	readDOML();
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public File write() {
	DOMLFactory.writeDOML(project, outputFile, true);

	return outputFile;
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public File getOutputFile() {
	String outName = null;

	if (outputFile == null && inputFile != null) {
	    outName = inputFile.getParent() + File.separator 
		      + com.lutris.dods.util.Util.getBase(inputFile) 
		      + ".doml";
	    outputFile = new File(outName);

	    if (project != null) {
		project.setFile(outputFile);
	    } 
	} 

	return outputFile;
    } 

    /**
     * Method declaration
     *
     *
     * @param o
     *
     * @see
     */
    public void setOutputFile(File o) {
	String extension = com.lutris.dods.util.Util.getExtension(o);

	if (extension != null && extension.equalsIgnoreCase("doml")) {
	    outputFile = o;
	} else {
	    outputFile = new File(o.getAbsolutePath() + ".doml");
	} 

	if (project != null) {
	    project.setFile(outputFile);
	} 
    } 

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public File getCurrentDirectory() {
	String eDir = System.getProperty("ENHYDRA_DIR");
        if (eDir == null) {
          eDir = System.getProperty("user.home");
        }

	if (getOutputFile() != null) {
	    currentDirectory = new File(getOutputFile().getParent());
	} else if (currentDirectory == null && (new File(eDir)).exists()) {
	    currentDirectory = new File(eDir);
	    currentDirectory = new File(currentDirectory.getParent());
	} 

	return currentDirectory;
    } 

}



/*--- formatting done in "Sun Java Convention" style on 01-19-2000 ---*/

