/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: PostgreSQLDBQuery.java,v 1.2.12.1 2000/10/19 17:59:06 jasona Exp $
 */


package	com.lutris.appserver.server.sql.postgresql;

import java.sql.*;
import com.lutris.appserver.server.sql.*;
import com.lutris.appserver.server.sql.standard.*;


/**
 * An PostgreSQL database query object used by the PostgreSQL logical database.
 *
 * @see		StandardDBQuery
 * @author	Ole Arndt (ole@opus5.de)
 * @since	Enhydra 2.1
 * @version	$Revision: 1.2.12.1 $
 */
public class PostgreSQLDBQuery extends StandardDBQuery {

    /**
     * Private constructor. Used by the logical database object.
     *
     * @see StandardDBQuery#StandardDBQuery
     * @param dbConnection
     *   The database connection to use.
     * @exception SQLException
     *   If a database access error occurs. 
     */
    protected PostgreSQLDBQuery(DBConnection dbConnection)
        throws SQLException {
        super(dbConnection);
    }
}
