/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HttpPresentation.java,v 1.24.14.1 2000/10/19 17:59:06 jasona Exp $
 */





package com.lutris.appserver.server.httpPresentation;

/**
 * Presentation Object interface.  All presentation objects implement this
 * interface.
 */
public interface HttpPresentation {

    /**
     * Run the Presentation Object passing it an HTTP request to handle.
     * Presentation objects differ from Servlets in that they are only
     * called to handle a single request at a time.  No concurrency
     * control is required.  The presentation should be coded in such
     * a way that it can handle multiple, non-concurrent requests or
     * have a lifetime of a single request.
     *
     * @param comms
     *   HTTP communications object. Contains objects and interfaces to read
     *   the request and send a response.
     * @exception Exception
     *   Any exception may be thrown.
     * @see HttpPresentationComms
     */
    public void run(HttpPresentationComms comms) throws Exception;
}
