/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: UrlEncodedKeyTests.java,v 1.6.10.1 2000/10/19 17:59:06 jasona Exp $
 */





package com.lutris.appserver.server.httpPresentation.servlet.tests;
import com.lutris.appserver.server.httpPresentation.servlet.UrlEncodedKey;

/**
 * Simple UrlEncodedKey tests.
 *
 * @author	Kyle Clark
 * @version	$Revision: 1.6.10.1 $
 * @since       Harmony2.0
 * @see com.lutris.appserver.server.httpPresentation.servlet.UrlEncodedKey
 */
public class UrlEncodedKeyTests.java
{
    /*
     * Performs a simple test on this object.
     */
    public static void main(String []args)
        throws Exception
    {
        String keyName = "LUTRISID_";
        String key = "Test Key";

        System.out.println("\n---");
        System.out.println("keyName: " + keyName);
        System.out.println("Key      : " + key);
        System.out.println("---\n");

        UrlEncodedKey test = new UrlEncodedKey(keyName, key);
        System.out.println("UrlEncodedKey.getKey(): " +
                           test.getKeyValue());
        System.out.println("UrlEncodedKey.getkeyName(): " +
                           test.getKeyName());
        System.out.println("UrlEncodedKey.getUrlEncodedValue(): " +
                           test.getUrlEncodedKey());
        System.out.println("UrlEncodedKey.toString(): " +
                           test.toString());
        System.out.println("---\n");

        String path = "http://ra.lutris.com:80/iiop/HarmonDemoApp/" +
            test.getKeyName() + "xyx";

        System.out.println("PATH: " + path);
        System.out.println("UrlEncodedKey.removeFromPath(): " +
                           test.removeFromPath(path));
        System.out.println("UrlEncodedKey.removeByNameFromPath(): " +
                           test.removeByNameFromPath(path));
        System.out.println("UrlEncodedKey.decode(): " +
                           test.decode(path));
        System.out.println("---\n");

        path = "http://ra.lutris.com:80/iiop/HarmonDemoApp/" +
            test.getKeyName() + "xyx" +
            "/login/Login.po/";

        System.out.println("PATH: " + path);
        System.out.println("UrlEncodedKey.removeFromPath(): " +
                           test.removeFromPath(path));
        System.out.println("UrlEncodedKey.removeByNameFromPath(): " +
                           test.removeByNameFromPath(path));
        System.out.println("UrlEncodedKey.decode(): " +
                           test.decode(path));
        System.out.println("---\n");

        path = "http://ra.lutris.com:80/iiop/HarmonDemoApp/" +
            test.getUrlEncodedKey() + "/login/Login.po/" +
            test.getUrlEncodedKey() + "/bogus/" +
            test.getKeyName() + "xyx/bogus/bogus/" +
            test.getUrlEncodedKey() + "/";
        System.out.println("PATH: " + path);
        System.out.println("UrlEncodedKey.removeFromPath(): " +
                           test.removeFromPath(path));
        System.out.println("UrlEncodedKey.removeByNameFromPath(): " +
                           test.removeByNameFromPath(path));
        System.out.println("UrlEncodedKey.decode(): " +
                           test.decode(path));
        System.out.println("---\n");
    }
}
