/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: GenerateError.java,v 1.9.10.1 2000/10/19 17:59:06 jasona Exp $
 */




/*
 * Test presentation object to generate an error when levels
 * are skipped.
 */

package com.acme.gui.presObjs.ErrorPO2.level0.level1.level2;

import com.lutris.appserver.server.httpPresentation.*;

public class GenerateError implements HttpPresentation {
    private static final String title = "Harmony Presentation Manager Error Tests #2";

    public void run(HttpPresentationComms comms) throws Exception {
        comms.response.setContentType("text/html");
        
        HttpPresentationOutputStream out = comms.response.getOutputStream();
        out.println("<TITLE>" + title + "</TITLE>");
        out.println("<H1>" + title + "</H1>");
        out.println("<CENTER>Original error, generated by: " + this.getClass().getName()
                    + "</CENTER><HR>");
        throw new Exception("error from: " + this.getClass().getName());
    }
}
