/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestPO4.java,v 1.12.10.1 2000/10/19 17:59:06 jasona Exp $
 */




/*
 * Test presentation object #1.
 */
package com.acme.gui.presObjs;

import com.lutris.appserver.server.httpPresentation.*;
import com.lutris.http.*;
import javax.servlet.http.Cookie;

public class TestPO4 implements HttpPresentation {
    private static final String cookieName = "TestPO4";
    private static final String cookieValue = "testpo4-cookie-value";
   
    private static final String html1 = "<TITLE>Harmony Presentaion Object: TestPO4</TITLE>\n" +
        "<H1>Cookie Setting</H1>\n" +
        "This presentation should have set cookie \"" + cookieName + "\"";

    public void run(HttpPresentationComms comms) throws Exception {
        Cookie cookie = new Cookie(cookieName, cookieValue);
        comms.response.addCookie(cookie);

        comms.response.setContentType("text/html");

        comms.response.setStatus(HttpPresentationResponse.SC_OK, "Good job");
        HttpPresentationOutputStream out = comms.response.getOutputStream();
        out.print(html1);
        HttpDebug.displayComms(comms);

    }
}
