/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: User.java,v 1.11.14.1 2000/10/19 17:59:07 jasona Exp $
 */





package com.lutris.appserver.server.user;

/**
 * User object interface.<P>
 *
 * User objects are compared in may places, <CODE>equals</CODE> must
 * be work correctly for the particular implementation.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.11.14.1 $
 */
public interface User {
    /**
     * Get user name associated with the object.  The user name
     * is assumed to be a unizue identifier for the user.
     *
     * @return
     *   the user name that uniquely identifies the user.
     */
    public String getName();
}

