/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_client.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_CLIENT_H__
#define __EDIR_CLIENT_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

#define EDIR_CONNECT_TIMEOUT			(30)
#define EDIR_CONNECT_STICKY_SESSION_RETRIES	(3)
#define EDIR_CLIENT_DEFAULT_INBUF_SIZE		(4096)
#define EDIR_CLIENT_DEFAULT_OUTBUF_SIZE		(4096)

#define EDIR_CLIENT_DATA_CONTINUE			(0)
#define EDIR_CLIENT_DATA_END			(1)

extern void
edir_client_connect(edir_connection_t *conn,
		  struct sockaddr_in *localAddr,
		  struct sockaddr_in *serverAddr,
		  char  *authData,
		  octet *sendBuf, int32 sendBufMax,
		  octet *receiveBuf, int32 receiveBufMax,
		  edir_exception_t **exc);

extern void
edir_client_send_header(edir_connection_t *conn,
		      void *headerName, int32 headerNameLen,
		      void *headerValue, int32 headerValueLen, int16 isLast,
		      octet *sendBuf, int32 sendBufMax,
		      octet *receiveBuf, int32 receiveBufMax,
		      edir_exception_t **exc);

extern void
edir_client_send_data(edir_connection_t *conn, int32 nbytes, int16 isLast,
		    octet *sendBuf, int32 sendBufMax,
		    octet *receiveBuf, int32 receiveBufMax,
		    edir_exception_t **exc);

extern void
edir_client_next_header(edir_connection_t *conn,
		    octet *sendBuf, int32 sendBufMax,
		    octet *receiveBuf, int32 receiveBufMax,
		    edir_exception_t **exc);

extern void
edir_client_next_data(edir_connection_t *conn,
		    octet *sendBuf, int32 sendBufMax,
		    octet *receiveBuf, int32 receiveBufMax,
		    edir_exception_t **exc);

extern void
edir_client_call_function(edir_connection_t *conn,
			octet funcType, int oneWay, int isLast, int32 argLen,
			octet *sendBuf, int32 sendBufMax,
			octet *receiveBuf, int32 receiveBufMax,
			edir_exception_t **exc);

extern void
edir_client_close(edir_connection_t *conn,
		octet *sendBuf, int32 sendBufMax,
		edir_exception_t **exc);

extern void
edir_client_abort(edir_connection_t *conn,
		octet *sendBuf, int32 sendBufMax,
		edir_exception_t **exc);

extern void
edir_client_io_event(edir_connection_t *conn, edir_exception_t **exc);

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_CLIENT_H__ */
