#!/bin/sh
#
# jddi presentation compiler:
#   jddic [-d destdir] [-j javadir] [-k] [-s] src.jhtml packageName
#      -d destdir - Destination root for java class files.  The default is to
#         end up in the javadir.
#      -j javadir - Directory to put generate java files in.  If not specified,
#         the current directory is used.
#      -k - Keep intermediate java files.
#      -s - Strip out HTML comments.
#
# Must be run with bash on Windows.
#

DEFAULT_JAVA="@JAVA@"
DEFAULT_JAVAC="@JAVAC@"
JAVA="${JAVA:=$DEFAULT_JAVA}"
JAVAC="${JAVAC:=$DEFAULT_JAVAC}"
ENHYDRA_CLASSES="@ENHYDRA_CLASSES@"

# Get path separator. If on windows, need to change JAVAC drive specification
# syntax from cygwin (//C/usr/...) to native (C:/usr/...), as it will be
# run from the JVM, not cygwin.
if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
    JAVAC="`echo "${JAVAC}"|sed -e 's|^//\(.\)/|\1:/|'`"
else
    PS=:
fi

if [ "X${CLASSPATH}" = "X" ] ; then
    CLASSPATH="${ENHYDRA_CLASSES}"
else
    CLASSPATH="${ENHYDRA_CLASSES}${PS}${CLASSPATH}"
fi
export CLASSPATH

# Compiler package
JDDICOMP=com.lutris.appserver.server.jolt.joltc.JoltCompile

${JAVA} -DJAVAC="${JAVAC}" ${JDDICOMP} $* || exit 1

exit 0
