/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: JoltPageData.java,v 1.12.12.1 2000/10/19 17:59:08 jasona Exp $
 */





package com.lutris.appserver.server.jolt.joltpo;

import com.lutris.util.KeywordValueTable;

/**
 *   Class that contains a Jolt page's data.  Its a KeywordValueTable that
 * contains the parameters from the HTTP request and the JoltField values.
 *
 * @version	$Revision: 1.12.12.1 $
 * @author	Mark Diekhans
 * @since	Jolt1.0
 * @see         lutris.util.KeywordValueTable
 */
public class JoltPageData extends KeywordValueTable {

    /**
     * Location of CGI arguments.
     */
    public static final String CGI_ARGS = "cgiArgs";

    // Everything else comes from KeywordValueTable :-)
}
