/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ASTJoltField.java,v 1.10.12.1 2000/10/19 17:59:08 jasona Exp $
 */




package com.lutris.appserver.server.jolt.parser;

/**
 * This node is for JOLT fields.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.10.12.1 $
 */
public class ASTJoltField extends SimpleNode
{
    private String fieldName;
    private String encoding;
    private String defaultValue;
    private int beginLine;

    ASTJoltField(int id)
    {
        super(id);
    }

    /**
     * Accept the visitor.
     */
    public Object jjtAccept(JoltParserVisitor visitor, Object data)
    {
        return visitor.visit(this, data);
    }

    /**
     * Set the field name
     */
    public void setFieldName(String fieldName)
    {
        this.fieldName = fieldName;
    }

    /**
     * Get the field name
     */
    public String getFieldName()
    {
        return this.fieldName;
    }

    /**
     * Set the encoding
     */
    public void setEncoding(String encoding)
    {
        this.encoding = encoding;
    }

    /**
     * Get the encoding
     */
    public String getEncoding()
    {
        return this.encoding;
    }

    /**
     * Set the default
     */
    public void setDefault(String defaultValue)
    {
        this.defaultValue = defaultValue;
    }

    /**
     * Get the default
     */
    public String getDefault()
    {
        return this.defaultValue;
    }

    /**
     * Set the beginning line for the node.
     */
    public void setBeginLine(int beginLine)
    {
        this.beginLine = beginLine;
    }

    /**
     * Get the beginning line for the node.
     */
    public int getBeginLine()
    {
        return this.beginLine;
    }

    public String toString()
    {
        return "JoltField: " + this.fieldName + " with encoding: " +
		this.encoding + " and default: " + this.defaultValue;
    }
}

