//------------------------------------------------------------------------
//
//  SETUP.H
//  Enhydra Tools for JBuilder Setup
//
//------------------------------------------------------------------------

#define UNINST_LOGFILE_NAME      "Uninst.isu"
//
#define FILE_DIALOG_IMAGE         "dialog.bmp"
#define FILE_KELP_JAR             "kelp2.0.jar"
#define FILE_KELP_JAR_JB3         "kelp2.0.jb3"
#define FILE_OLD_TOOL_JAR_A       "jb-kelp.jar"
#define FILE_OLD_TOOL_JAR_B       "kelp1.2.jar"
#define FILE_ENHYDRA_JAR          "enhydra.jar"
#define FILE_TOOLBOX_JAR          "toolbox.jar"
#define FILE_TOOLBOX_PROPERTIES   "toolbox.properties"
#define FILE_README_HTML          "readme.html"
#define FILE_SHELL32_DLL          "Shell32.DLL"
#define FILE_KELP_HTML            "kelp.html"
#define FILE_BACKUP_PREFIX        "Backup of "
#define FILE_KELP_SUFFIX ".kelp"
//
#define DIR_DOC     "doc"
#define DIR_ENHYDRA "enhydra"
#define DIR_WEBAPP "webapp"
#define DIR_WIRELESS "wireless"
#define DIR_SAMPLES "samples"
#define DIR_BIN "bin"
#define DIR_LIB "lib"
#define DIR_CONF "conf"
#define DIR_NAMING "naming"
#define DIR_TOOL "tool"
//
#define OPEN_BRACE  "["
#define CLOSE_BRACE  "]"
#define USERPROFILE "USERPROFILE"
#define CLASSPATH "classpath"
#define SEMI ";"
#define EQUAL "="
#define QUOTE "\""
#define DASH "-"
#define COMMA ","
#define JAVA_FILE_SEP "/"
#define FILE_SEP "\\"
#define REG_SEP "\\"
#define BLANK ""
#define DOT "."
#define SPACE " "
#define NEWLINE "\n"
#define ANY_FILE "*.*"
#define ANY_JAR "*.jar"
#define PARAM_SEP "/"
#define PROP_ENHYDRA_HOME "enhydra.home"
#define DRIVE_SEP "\\:"
//
#define TOOLBOX_WEBAPP "codegen.generator.0=org.enhydra.tool.codegen.webapp.WebAppGenerator"
#define TOOLBOX_EN3APP "codegen.generator.1=org.enhydra.tool.codegen.en3app.Enhydra3AppGenerator"
//
#define HTML_H3 "<H3>"
#define HTML_KELP_START "<!-- KELP";
#define HTML_KELP_END "KELP -->"
//
#define DLL_OPEN "OPEN"
//
#define DEFAULT_ENHYDRA_BASE_1    "c:\\usr\\local\\Enhydra";
#define DEFAULT_ENHYDRA_BASE_2    "c:\\usr\\local";

#define DEFAULT_ENHYDRA_SUB_1    "\\lutris-enhydra"
#define DEFAULT_ENHYDRA_SUB_2    "\\enhydra"

#define FILE_SAMPLE_PROJECT       "KelpWebApp.jpr"
#define KELP_FOLDER               "kelp2"

#define DIALOG_COMPLETE       -1
#define DIALOG_BACK            0
#define DIALOG_WELCOME         1
#define DIALOG_ASKJAVAIDE      2
#define DIALOG_APPTARGET       3
#define DIALOG_ENHYDRA         4
#define DIALOG_SETUPTYPE       5
#define DIALOG_CUSTOM          6
#define DIALOG_PROGRAMGROUP    7
#define DIALOG_SHOWFILEMOD     8
#define DIALOG_STARTCOPY       9

#define REG_LUTRIS           "\\SOFTWARE\\Lutris Technologies"
#define REG_ENHYDRA_ORG_KEY  "\\Enhydra"
#define REG_ENHYDRA_COM_KEY  "\\Lutris Enhydra"
#define REG_MIN_MAJOR_VERSION  3
#define REG_MAX_MAJOR_VERSION  4
#define REG_ENHYDRA_HOME "EnhydraHome"
#define REG_ENHYDRA_PATHNAME "Pathname"

#define REG_JBUILDER          "\\SOFTWARE\\Borland\\JBuilder"
#define REG_FOUNDATION_3_KEY  "\\3.1"
#define REG_FOUNDATION_35_KEY "\\3.5"
#define REG_FOUNDATION_40_KEY "\\4.0"
#define REG_JB_PATHNAME       "PathName"

#define COMP_LIB      "Library"
#define COMP_TOOLBOX  "ToolBox"
#define COMP_SAMPLES  "Samples"
#define COMP_HELP     "Help"

// ---- script function prototypes -----

prototype addDialog( NUMBER, NUMBER );
prototype showDialog( NUMBER );
prototype moveFileData();
prototype handleMoveDataError( NUMBER );
prototype processBeforeDataMove();
prototype processAfterDataMove();
prototype updateRegistry();
prototype setupFolders();
prototype cleanUpInstall();
prototype prepareInstall();
prototype prepareScreen();
prototype checkRequirements();
prototype isEnhydraFound();
prototype isTargetFound(STRING);
prototype isTargetRunning(STRING);
prototype expandEnhydraPath();
prototype expandEnhydraPathVersion();
prototype findDefaultEnhydra();
prototype findDefaultTarget(BYREF STRING);
prototype copyCustomSupportFiles();
prototype addStandardIcon(STRING, STRING, STRING, STRING);
prototype getParameterValue(BYREF STRING, STRING);
prototype backupFile(STRING, STRING);
prototype modifySampleDocLink();
prototype modifyDocLink(STRING);
prototype deleteOldJar();
prototype launchBrowser();
prototype Shell32.ShellExecuteA(HWND, LPSTR, LPSTR, LPSTR, LPSTR, INT);
prototype removeJarFromClassPath(STRING);
prototype insertJarIntoClassPath(STRING, STRING);
prototype modifyCodeGenPropertiesFile(STRING);
prototype transformPathForProperty(BYREF STRING);
prototype searchRegistry(STRING, BYREF STRING);
prototype finalizeJar();
prototype createJarList(BYREF LIST, BOOL);
prototype addEnhydraLib(STRING, STRING, STRING, BOOL);
prototype isFileReadable(STRING, STRING);




















