/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.common.swing;

// Standard imports
import javax.swing.ImageIcon;
//
public class IconSet {
    // strings not to be resourced
    private static final String SMALL_GIF =
        "org/enhydra/kelp/common/swing/media/smallicon.gif"; // nores
    private static final String LARGE_GIF =
        "org/enhydra/kelp/common/swing/media/largeicon.gif"; // nores
    private static final String WIZARD_JPG =
        "org/enhydra/kelp/common/swing/media/wizard.jpg"; //nores

    public IconSet() {}

    public static ImageIcon getSmallIcon() {
        ImageIcon small =
            new ImageIcon(ClassLoader.getSystemResource(IconSet.SMALL_GIF));

        return small;
    }

    public static ImageIcon getLargeIcon() {
        ImageIcon large =
            new ImageIcon(ClassLoader.getSystemResource(IconSet.LARGE_GIF));

        return large;
    }

    public static ImageIcon getOtterWizard() {
        ImageIcon wizard =
            new ImageIcon(ClassLoader.getSystemResource(IconSet.WIZARD_JPG));

        return wizard;
    }

}
