/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.common.wizard;

// Kelp imports
import org.enhydra.kelp.common.node.OtterProject;

// Standard imports
import java.io.PrintWriter;

//
abstract public class AbstractBuilder {
    private OtterProject project = null;
    private PrintWriter echoWriter = null;
    private boolean     echo = false;

    public AbstractBuilder() {}

    public PrintWriter getEchoWriter() {
        return echoWriter;
    }

    public void setEchoWriter(PrintWriter w) {
        echoWriter = w;
    }

    public boolean isEcho() {
        return echo;
    }

    public void setEcho(boolean b) {
        echo = b;
    }

    public void setProject(OtterProject p) {
        project = p;
    }

    public OtterProject getProject() {
        return project;
    }


    public void echo(String message) {
        if (isEcho()) {
            getEchoWriter().println(message);
        }
    }

    public void echo(Exception e) {
        getEchoWriter().println(e.getMessage());
    }

}
