/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.common.wizard.codegen;

// Toolbox imports
import org.enhydra.tool.codegen.AppGenerator;
import org.enhydra.tool.codegen.en3app.Enhydra3AppGenerator;

// Kelp imports
import org.enhydra.kelp.KelpInfo;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import org.enhydra.kelp.common.node.OtterFolderNode;
import org.enhydra.kelp.common.node.OtterJavaFileNode;
import org.enhydra.kelp.common.node.OtterTextFileNode;
import org.enhydra.kelp.common.node.OtterNodeFactory;

// Standard imports
import java.awt.Component;
import java.io.File;
import java.io.FilenameFilter;
import java.util.Vector;
import java.util.ResourceBundle;

/**
 * Class declaration
 *
 *
 * @author Paul Mahar
 */
public class Enhydra3AppUtil extends AppGenUtil {

    // string not to be resourced
    private final static String DEFAULT_COMMAND_NAME = "en3app";    // nores

    //
    public Enhydra3AppUtil() throws CodeGenException {
        super(new Enhydra3AppGenerator());
    }

    public Enhydra3AppUtil(OtterProject project) throws CodeGenException {
        super(project, new Enhydra3AppGenerator());
    }

    public static AppGenerator createGenerator() {
        return new Enhydra3AppGenerator();
    }

    public static String getCommandName() {
        String commandName = DEFAULT_COMMAND_NAME;

        if (KelpInfo.isClassPathComplete()) {
            commandName = Enhydra3AppGenerator.COMMAND_NAME;
        }
        return commandName;
    }

    /**
     * Method declaration
     *
     *
     * @return
     */
    public static String getDisplayName() {
        String displayName = res.getString("Enhydra_Super_Servlet");

        if (KelpInfo.isClassPathComplete()) {
            displayName = Enhydra3AppGenerator.displayName;
        }
        return displayName;
    }

}
