/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.common.wizard.deploy;

// Kelp imports
import org.enhydra.kelp.common.Constants;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import org.enhydra.kelp.common.wizard.AbstractPropertyPanel;

// Standard imports
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.beans.Beans;
import java.io.File;
import javax.swing.BorderFactory;
import javax.swing.JFileChooser;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.TitledBorder;
import java.awt.*;
import java.util.ResourceBundle;
import java.text.MessageFormat;

//
public class StartupPanel extends AbstractPropertyPanel {
    static ResourceBundle res =
        ResourceBundle.getBundle("org.enhydra.kelp.common.Res");    // nores
    private OtterNode     node;
    private GridBagLayout layoutMain;
    private JCheckBox     checkRunClass;
    private JCheckBox     checkCreateJava;

    public StartupPanel() {
        try {
            jbInit();
            pmInit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void pmInit() {
        String[] formatArgs = new String[1];
        String   message = new String();

        formatArgs[0] = Constants.FILE_START_SERVER;
        message = MessageFormat.format(res.getString("checkCreateJava_Text"),
                                       formatArgs);
        checkCreateJava.setText(message);
    }

    private void jbInit() throws Exception {
        checkRunClass =
            (JCheckBox) Beans.instantiate(getClass().getClassLoader(),
                                          JCheckBox.class.getName());
        checkCreateJava =
            (JCheckBox) Beans.instantiate(getClass().getClassLoader(),
                                          JCheckBox.class.getName());
        layoutMain =
            (GridBagLayout) Beans.instantiate(getClass().getClassLoader(),
                                              GridBagLayout.class.getName());
        checkRunClass.setText(res.getString("checkRunClass_Text"));
        this.setLayout(layoutMain);
        this.add(checkRunClass,
                 new GridBagConstraints(0, 1, 3, 1, 0.0, 0.0,
                                        GridBagConstraints.SOUTHWEST,
                                        GridBagConstraints.HORIZONTAL,
                                        new Insets(5, 30, 5, 5), 0, 0));
        this.add(checkCreateJava,
                 new GridBagConstraints(0, 2, 3, 1, 0.0, 0.0,
                                        GridBagConstraints.WEST,
                                        GridBagConstraints.HORIZONTAL,
                                        new Insets(5, 30, 5, 5), 0, 0));
    }

    public void readProperties() {
        checkCreateJava.setSelected(project.isDeployStartupJava());
        checkRunClass.setSelected(project.isDeployStartupRun());
    }

    public void writeProperties() {
        project.setDeployStartupJava(checkCreateJava.isSelected());
        project.setDeployStartupRun(checkRunClass.isSelected());
    }

}
