/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.jdeveloper.node;

// JDeveloper imports
import borland.jbuilder.addin.Node;
import borland.jbuilder.addin.Project;
import borland.jbuilder.addin.Url;
import borland.jbuilder.addin.Container;

// Kelp imports
import org.enhydra.kelp.common.node.OtterJavaFileNode;
import org.enhydra.kelp.common.node.OtterNode;

/**
 * Class declaration
 *
 *
 * @author Paul Mahar
 */
public class OracleJavaFileNode extends OracleNode
    implements OtterJavaFileNode {

    /**
     * Constructor declaration
     *
     *
     * @param otterNode
     * @param file
     */
    public OracleJavaFileNode(OtterNode otterNode, String path) {
        Node      nativeNode = null;
        Container container = null;
        Url       url = null;

        if (otterNode.getNativeNode() instanceof Container) {
            container = (Container) otterNode.getNativeNode();
        } else {
            container = (Container) otterNode.getProject().getNativeProject();
        }
        url = new Url(Url.LATTE_JAVA_SCHEME + path);
        nativeNode = container.findNode(url);
        if (nativeNode == null) {
            nativeNode = container.createNode(url, true, false);
            container.addNode(nativeNode, false);
            container.save(true);
        }
        setNativeNode(nativeNode);
    }

}
