/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Service.java,v 1.2.4.1 2000/10/19 17:59:08 jasona Exp $
 */
 
package com.lutris.multiServer;

/**
 * This interface is a temporary placeholder until we design a real
 * service interface based on J2EE or XS or something else.
 *
 * @author Shawn McMurdo
 */
public interface Service {

    /**
     * Initialize the service.
     * Passes a configuration string to the service, which is used in a service
     * dependent way.  This could be a configuration file name or URL.
     *
     * @param config
     *		a configuration string which is service dependent.
     */
    public void init(String config);

    /**
     * Starts the service.
     */
    public void start();

    /**
     * Stops the service.
     */
    public void stop();

}

