/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: RequestsRequest.java,v 1.8.6.1 2000/10/19 17:59:08 jasona Exp $
 */






package com.lutris.appserver.admin.presentation.monitor.io;

import java.util.*;

public class RequestsRequest
extends BaseRequest {

    /**
     * The start time of the data desired.  (Inclusive)
     * i.e.  If a data point at startTime is available, it should be the
     * first time point in the returned Vector.
     */
    public Calendar startTime;


    /**
     * @param endTime The end time of the data desired.  (Inclusive)
     * i.e.  If a data point at endTime is available, it should be the
     * last time point in the returned Vector.
     */
    public Calendar endTime;


    /**
     * The returned RequestsResponse object that gets generated
     * in response to this request should not contain any more
     * data points than this.
     * <P></P>
     * Exactly how the data server will
     * reduce the number of data points has yet to be determined.
     */
    public int maxDataPoints;


    /**
     * Use temporarily until Andrew writes code to send real data.
     */
    public int hackValue;
}
