/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: MonitorDataServer.java,v 1.9.6.1 2000/10/19 17:59:09 jasona Exp $
 */






/* This file was created and edited with tabstops set to 8.
 * If you are using "vi" to edit this file, enter the command:
 * 
 *        :set ts=8
 *
 * to set the tabstops to 8.
 */
package com.lutris.appserver.admin.presentation.monitorServer;

import com.lutris.appserver.admin.presentation.monitor.io.*;
import com.lutris.appserver.server.httpPresentation.*;

import java.util.*;
import java.io.*;

/**
 * A graph displayed on the Monitor applet will eventually
 * talk to this object on the server to get the data that
 * it is displaying.
 */
public class MonitorDataServer
implements HttpPresentation {

    RequestsResponse[] hackData;
    int hackCountMax = 2;

    public MonitorDataServer() {
	System.out.println("Enter MonitorDataServer constructor");

	createHackData();
    }


    /**
     * Main method to handle the requests.
     */
    public void run(HttpPresentationComms comms) throws Exception {

	System.out.println("Enter MonitorDataServer.run");

	/* Read the socket to get the request object.
	 * The request object will be a subclass of
	 * BaseRequest.
	 */
	BaseRequest request = getRequest(comms);

	if (request == null) {
	    System.out.println("Request was null.");
	    return;
	}

        processRequest(request, comms);
    }


    private BaseRequest getRequest(HttpPresentationComms comms)
	throws Exception {

	    System.out.println("Enter getRequest");

	    InputStream inStream = comms.request.getInputStream();
	    if (inStream == null) {
		System.out.println("inStream is null");
		return(null);
	    }
	
	    ObjectInputStream objInputStream = new ObjectInputStream(inStream);

	    System.out.println("Calling objInputStream.readObject()");
	    Object o = objInputStream.readObject();

	    /* Do not close the stream.  Doing this is not allowed
	     * on a HttpPresentationInputStream.
	     */
	    //objInputStream.close();

	    return((BaseRequest)o);
    }


    /**
     * Figure out what kind of data the applet is requesting
     * and return the requested data.
     */
    private void processRequest(BaseRequest request, 
				HttpPresentationComms comms)
	throws Exception {

	if (request instanceof RequestsRequest) {
            writeRequestsData((RequestsRequest)request, comms);
	}
	/*
	else if (request instanceof SessionsRequest) {
	}
	else if (request instanceof ConnectionsRequest) {
	}
	*/
	else {
	    System.err.println("I don't understand this request.");
	}
    }
 

    /**
     *  We send the applet the response message object
     *  in serialized form.
     */
    private void writeRequestsData(RequestsRequest request,
				   HttpPresentationComms comms) 
	throws HttpPresentationException {

	System.out.println("Enter MonitorDataServer.writeRequestsData");

	System.out.println("request.hackValue("+request.hackValue+")");

        RequestsResponse response = hackData[request.hackValue];

        HttpSerialized.writeSerializedObject(comms, response);
    }


    private void createHackData() {

	hackData = new RequestsResponse[hackCountMax+1];

	/****************/

	RequestsResponse response = new RequestsResponse();
	response.total = 4321;
	response.current = 1234;
	response.max = 23;
	response.maxTime = Calendar.getInstance();

	response.values = new int[3];
	response.values[0] = 3;
	response.values[1] = 1;
	response.values[2] = 5;
	response.times = new int[3];
	response.times[0] = 0;
	response.times[1] = 1800;
	response.times[2] = 3600;

	response.baseTime = Calendar.getInstance();
	response.baseTime.set(1998, 0, 1, 14, 30, 0);

	hackData[0] = response;

	/****************/

	response = new RequestsResponse();
	response.total = 4322;
	response.current = 1235;
	response.max = 25;
	response.maxTime = Calendar.getInstance();

	response.values = new int[3];
	response.values[0] = 30;
	response.values[1] = 10;
	response.values[2] = 15;
	response.times = new int[3];
	response.times[0] = 0;
	response.times[1] = 1800;
	response.times[2] = 3600;

	response.baseTime = Calendar.getInstance();
	response.baseTime.set(1998, 0, 1, 12, 0, 0);

	hackData[1] = response;

	/****************/

	response = new RequestsResponse();
	response.total = 4323;
	response.current = 1236;
	response.max = 29;
	response.maxTime = Calendar.getInstance();

	response.values = new int[3];
	response.values[0] = 60;
	response.values[1] = 70;
	response.values[2] = 85;
	response.times = new int[3];
	response.times[0] = 3500;
	response.times[1] = 7100;
	response.times[2] = 14300;

	response.baseTime = Calendar.getInstance();
	response.baseTime.set(1998, 0, 1, 11, 0, 0);

	hackData[2] = response;

	/****************/

    }
}
