/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ServletError.java,v 1.4.2.1.2.1 2000/10/19 17:59:09 jasona Exp $
 */

package org.enhydra.servlet;

/**
 * Error used when exceptions can't be thrown
 */
public class ServletError extends com.lutris.util.ChainedError {

    /**
     * Construct an error around an exception.
     *
     * @param except The exception to encapsulate.
     */
    public ServletError(Throwable except) {
        super(except);
    }

    /**
     * Construct an error with a specific message.
     *
     * @param msg The error message
     */
    public ServletError(String msg) {
        super(msg);
    }
}
