/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: EnhydraDirectorConnectionMethodBeanInfo.java,v 1.3.12.1 2000/10/19 17:59:09 jasona Exp $
 */

package org.enhydra.servlet.connectionMethods.EnhydraDirector;

import java.beans.*;
import java.util.*;

/**
 * This class provides descriptors for all connection method attributes
 *
 * @see org.enhydra.servlet.connectionMethods.enhydra.EnhydraDirectorConnectionMethod
 * @version 1.0, 1999.12.10
 * @author John Marco
 */
public class EnhydraDirectorConnectionMethodBeanInfo extends SimpleBeanInfo
{
    public
    PropertyDescriptor[] getPropertyDescriptors()
    {
	try {
	    Class connectionMethodClass =
		org.enhydra.servlet.connectionMethods.EnhydraDirector.EnhydraDirectorConnectionMethod.class;
	    PropertyDescriptor[] propertyDescriptorArray;
	    propertyDescriptorArray = new PropertyDescriptor[5];
	    PropertyDescriptor tmpPD = null;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.AUTH_KEY,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Authentication Key (optional): ");
	    propertyDescriptorArray[4] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.SESSION_AFFINITY,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Session Affinity (true or false): ");
	    propertyDescriptorArray[3] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.PORT,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Port Number: ");
	    propertyDescriptorArray[2] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.BIND_ADDR,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Bind Address (optional): ");
	    propertyDescriptorArray[1] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.PREFIX_HINT,
					   connectionMethodClass);
	    tmpPD.setDisplayName("HTTP Server URL (optional): ");
	    propertyDescriptorArray[0] = tmpPD;

	    return propertyDescriptorArray;
	} catch (IntrospectionException e) {
	    return null;
	}
    }
}


