/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ServletRecordCallback.java,v 1.4.12.1 2000/10/19 17:59:10 jasona Exp $
 */

package org.enhydra.servlet.debug;

/**
 * Interface for objects that get called on transaction record queue
 * changes.
 * 
 * @version	$Revision: 1.4.12.1 $
 * @author	Mark Diekhans
 */
public interface ServletRecordCallback {
    
    /**
     * Function called on addition of a transaction record to the queue.
     * As this can result in a record being deleted, that record is
     * also returned.
     *
     * @param newRecord transaction record that was added to the queue.
     * @param deletedRecord transaction record that was deleted from the queue.
     */
    public void transactionRecordAddEvent(
            ServletTransactionRecord newRecord,
            ServletTransactionRecord deletedRecord);

    /**
     * Function called when all existing records are cleared from the queue.
     */
    public void clearRecordsEvent();
}
