/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: EnhydraServletConfig.java,v 1.4.2.1.2.1 2000/10/19 17:59:10 jasona Exp $
 */

package org.enhydra.servlet.servletManager;

import java.util.Enumeration;
import java.util.Properties;
import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;


class EnhydraServletConfig implements ServletConfig {

    private ServletContext context;
    private Properties config;
    private String servletName;

    protected EnhydraServletConfig(Properties config,
                                        ServletContext context) {
        if (config == null)
            this.config = new Properties();
        this.config = config;
        this.context = context;
        this.servletName = null;
    }

    public void setServletName(String servletName) {
        this.servletName = servletName;
    }

    public ServletContext getServletContext() {
        return context;
    }

    public String getInitParameter(String name) {
        String s = null;
        s = config.getProperty(name);
        return s;
    }

    public Enumeration getInitParameterNames() {
        return config.propertyNames();
    }


    public String getServletName() {
	return servletName;
    }

}

