package com.simscomputing.swing;

import java.awt.Font;

import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

/**
 This class provides a theme for the Java look-and-feel that's particular to Sims Computing.
 Several Sims Computing apps could all share this common theme.
 The primary and secondary colors are overridden from DefaultMetalTheme.
 The fonts and other theme properties are left unaltered.
 **/
public class SimsComputingTheme extends DefaultMetalTheme {
  public String getName() {
    return "SimsComputingTheme";
  } // getName()

  private final static ColorUIResource white = new ColorUIResource(247, 244, 244);
  private final static ColorUIResource black = new ColorUIResource(34, 30, 31);

  protected ColorUIResource getWhite() { return white; }
  protected ColorUIResource getBlack() { return black; }

  //
  // Primary colors
  //

  private final ColorUIResource primary2 = new ColorUIResource(186, 196, 197); // sagebrush green

//    protected ColorUIResource getPrimary1() {
//      return primary2;
//    } // getPrimary1()

  protected ColorUIResource getPrimary2() {
    return primary2;
  } // getPrimary2()

//    protected ColorUIResource getPrimary3() {
//      return primary2;
//    } // getPrimary3()

  // Secondary colors

  private final ColorUIResource secondary3 = new ColorUIResource(176, 198, 206);

//    protected ColorUIResource getSecondary1() {
//      return secondary3;
//    }  // getSecondary1()

//    protected ColorUIResource getSecondary2() {
//      return secondary3;
//    }  // getSecondary2()

  protected ColorUIResource getSecondary3() {
    return secondary3;
  }  // getSecondary3()
} // class SimsComputingTheme
