package com.simscomputing.testbed.gui;

import com.simscomputing.swing.SwingUtilities;

import java.awt.Container;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
Shows program information.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:35 $
*/
public class AboutDialog extends JDialog {
  public AboutDialog(JFrame parent) {
    super(parent, true);

    setTitle("About " + Resources.APPLICATION_NAME);

    final Container root = getContentPane();
    root.setLayout(new GridBagLayout());
    
    final JLabel contents = new JLabel(Resources.APPLICATION_NAME, JLabel.CENTER);
    final JLabel contents2 = new JLabel("Version " +
                                        com.simscomputing.testbed.Resources.VERSION,
                                        JLabel.CENTER);
    final JLabel contents3 = new JLabel("Copyright 2000 Sims Computing, Inc.", JLabel.CENTER);
    final JLabel contents4 = new JLabel("Licensed under the GNU Lesser General Public License", JLabel.CENTER);
    final JLabel contents5 = new JLabel("www.simscomputing.com", JLabel.CENTER);
//      final JLabel contents6 = new JLabel("Send bug reports and feature requests to david@simscomputing.com.", JLabel.CENTER);
//      final JLabel contents7 = new JLabel("Subscribe to the Test Bed mailing list. Send mail to testbed-request@lists.simscomputing.com,", JLabel.CENTER);
//      final JLabel contents8 = new JLabel("and put the word \"subscribe\" in the body of the message.", JLabel.CENTER);

    JButton okButton = new JButton("OK");
    okButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        dispose();
      }
    });

    final int INSET = Resources.INSET;
    final Insets INSETS = Resources.INSETS;
    root.add(contents,
             new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.HORIZONTAL,
                                    INSETS,
                                    0, 0));
    root.add(contents2,
             new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.HORIZONTAL,
                                    INSETS,
                                    0, 0));
    root.add(contents3,
             new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.HORIZONTAL,
                                    INSETS,
                                    0, 0));
    root.add(contents4,
             new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.HORIZONTAL,
                                    INSETS,
                                    0, 0));
    root.add(contents5,
             new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.HORIZONTAL,
                                    INSETS,
                                    0, 0));

//      root.add(contents6,
//               new GridBagConstraints(0, 5, 1, 1, 0.0, 0.0,
//                                      GridBagConstraints.CENTER,
//                                      GridBagConstraints.HORIZONTAL,
//                                      new Insets(5*INSET, INSET, INSET, INSET),
//                                      0, 0));

//      root.add(contents7,
//               new GridBagConstraints(0, 6, 1, 1, 0.0, 0.0,
//                                      GridBagConstraints.CENTER,
//                                      GridBagConstraints.HORIZONTAL,
//                                      INSETS,
//                                      0, 0));

//      root.add(contents8,
//               new GridBagConstraints(0, 7, 1, 1, 0.0, 0.0,
//                                      GridBagConstraints.CENTER,
//                                      GridBagConstraints.HORIZONTAL,
//                                      INSETS,
//                                      0, 0));

    root.add(okButton,
             new GridBagConstraints(0, 8, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.NONE,
                                    INSETS,
                                    0, 0));

    pack();
  } // constructor
} // class AboutDialog
