package com.simscomputing.testbed.gui;

import com.simscomputing.swing.SwingUtilities;

import java.awt.Container;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.text.BadLocationException;
import javax.swing.text.DefaultStyledDocument;

/**
Shows program information.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:35 $
*/
public class ErrorDialog extends JDialog {
  public ErrorDialog(JFrame parent, String title, String errorMessage) {
    super(parent, true);

    setTitle(title);

    final Container root = getContentPane();
    root.setLayout(new GridBagLayout());
    
    DefaultStyledDocument pd = new DefaultStyledDocument();
    try {
      pd.insertString(0, errorMessage, null);
    } // try
    catch (BadLocationException e) {
      // fixme
    } // catch
    final JTextPane contents = new JTextPane(pd);
    contents.setEditable(false);
    JButton okButton = new JButton("OK");
    okButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        dispose();
      }
    });

    final int INSET = Resources.INSET;
    final Insets INSETS = new Insets(INSET, INSET, INSET, INSET);
    root.add(new JScrollPane(contents),
             new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.BOTH,
                                    INSETS,
                                    0, 0));

    root.add(okButton,
             new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0,
                                    GridBagConstraints.CENTER,
                                    GridBagConstraints.NONE,
                                    INSETS,
                                    0, 0));

    pack();
    okButton.requestFocus();
    setSize(400, 300);
    SwingUtilities.centerOnParent(this, parent);

    getRootPane().setDefaultButton(okButton);
//      pack();
  } // constructor
} // class ErrorDialog
