/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.tool.archive;

// Standard imports

import java.io.File;

//

public class ArchiveTool {

    // not to be resourced

    private final String        NULL_PLAN = "Archive plan is null";     // nores

    public ArchiveTool (){}

    public File buildArchive (WarPlan plan) throws ArchiveException {
        File            file = null;
        WarBuilder      builder = null;

        if (plan == null) {
            throw new ArchiveException (NULL_PLAN);
        }

        builder = new WarBuilder ();

        builder.setWarPlan (plan);

        file = builder.buildArchive ();

        return file;
    }

    public File buildArchive (JarPlan plan) throws ArchiveException {
        File    file = null;

        if (plan instanceof WarPlan) {
            file = buildArchive ((WarPlan) plan);
        } else {
            JarBuilder  builder = null;

            if (plan == null) {
                throw new ArchiveException (NULL_PLAN);
            }

            builder = new JarBuilder ();

            builder.setJarPlan (plan);

            file = builder.buildArchive ();
        }

        return file;
    }

}

