/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.tool.common;

// Standard imports

import javax.swing.JPanel;
import javax.swing.JOptionPane;
import java.awt.CardLayout;
import java.beans.Beans;
import java.util.Vector;
import java.util.ResourceBundle;

public class TBWizardDeck extends JPanel {
    static ResourceBundle       res =
        ResourceBundle.getBundle ("org.enhydra.tool.common.Res");       // nores

    //

    private CardLayout          cardLayout = null;
    private int                 cardCursor = 0;
    private Vector              cards = new Vector ();

    public TBWizardDeck () {
        try {
            init ();
        } catch (Exception e) {
            e.printStackTrace ();
        }
    }

    protected Vector getCardVector () {
        return cards;
    }

    protected int getCardCursor () {
        return cardCursor;
    }

    /**
     * Method declaration
     *
     *
     * @return
     */
    protected boolean isFirstCardShowing () {
        boolean atFirst = (cardCursor == 0);

        return (atFirst);
    }

    /**
     * Method declaration
     *
     *
     * @return
     */
    protected boolean isLastCardShowing () {
        return (cardCursor == (cards.size () - 1));
    }

    /**
     * Method declaration
     *
     */
    public void next () {
        if (!isLastCardShowing ()) {
            TBWizardPage        current =
                (TBWizardPage) cards.elementAt (cardCursor);

            try {
                current.checkPage ();
                cardLayout.next (this);

                cardCursor++;
            } catch (ToolException e) {
                JOptionPane.showMessageDialog (this, e.getMessage (),
                                               res.getString ("Validation_Error"),
                                               JOptionPane.ERROR_MESSAGE);
            }
        }
    }

    /**
     * Method declaration
     *
     */
    protected void previous () {
        if (!isFirstCardShowing ()) {
            cardLayout.previous (this);

            cardCursor--;
        }
    }

    /**
     * Method declaration
     *
     *
     * @param page
     */
    protected void addWizardPage (TBWizardPage page) {
        this.add (page, (new String ()) + cards.size ());
        cards.addElement (page);
    }

    /**
     * Method declaration
     *
     *
     * @exception Exception
     */
    protected void init () throws Exception {
        cardLayout =
            (CardLayout) Beans.instantiate (getClass ().getClassLoader (),
                                            CardLayout.class.getName ());

        this.setLayout (cardLayout);
    }

}

