/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLTemplateElement.java,v 1.1.12.1 2000/10/19 17:59:10 jasona Exp $
 */

/**
 * The interface is modeled after DOM1 Spec for HTML from W3C.
 * The DTD used in this DOM model is from 
 * http://www.wapforum.org/DTD/wml_1.1.xml
 */

package org.enhydra.wireless.wml.dom;

/**
 * The 'template' element declares a template for the cards in the deck.
 */
public interface WMLTemplateElement extends WMLElement {

    /**
     * @see org.enhydra.wireless.wml.dom.WMLCardElement#setOnTimer(String newValue) 
     */
    public void setOnTimer(String newValue);
    public String getOnTimer();

    /**
     * @see org.enhydra.wireless.wml.dom.WMLCardElement#setOnEnterBackward(String newValue) 
     */
    public void setOnEnterBackward(String newValue);
    public String getOnEnterBackward();

    /**
     * @see org.enhydra.wireless.wml.dom.WMLCardElement#setOnEnterForward(String newValue) 
     */
    public void setOnEnterForward(String newValue);
    public String getOnEnterForward();

}
