#
# Enhydra Java Application Server Project
# 
# The contents of this file are subject to the Enhydra Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License on
# the Enhydra web site ( http://www.enhydra.org/ ).
# 
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
# the License for the specific terms governing rights and limitations
# under the License.
# 
# The Initial Developer of the Enhydra Application Server is Lutris
# Technologies, Inc. The Enhydra Application Server and portions created
# by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
# All Rights Reserved.
# 
# Contributor(s):
# 
# $Id: config.mk,v 1.24.2.2.2.9 2000/12/07 09:10:16 markd Exp $
#

#
# Module-level make configuration file.
#

# XMLC Version number
XMLC_VERSION=2.0

ROOT = ${MODROOT}/../..

# FIXME: Tmp flag to allow XMLC to compile under the 3.0 or 4.0 make rules.
ifneq ($(wildcard ${ROOT}/lib/make/enhydra-rules.mk),)
XMLC_BUILD_3_0=NO
else
XMLC_BUILD_3_0=YES
endif

ifneq (${XMLC_BUILD_3_0},YES)
include $(ROOT)/config.mk
endif

#
# If set to YES, a standalone distribution is build along with the Enhydra one.
#
BUILD_STANDALONE_XMLC = YES

#
# Directories and classes required for standalone xmlc jar file.
#
STANDALONE_JAR_FILES = \
	org/w3c \
	org/xml \
	org/apache/xerces \
	org/apache/html \
	org/apache/xml \
	gnu/regexp \
	org/enhydra/xml \
	org/enhydra/wireless \
	com/lutris/util/ChainedError.class \
	com/lutris/util/ChainedException.class \
	com/lutris/util/ChainedRuntimeException.class \
	com/lutris/util/ChainedThrowable.class \
	com/lutris/util/ChainedThrowableUtil.class \
	com/lutris/util/FatalExceptionError.class

XMLC_DIST_NAME = xmlc${XMLC_VERSION}
XMLC_OUTPUT = $(ABS_ROOT)/output/${XMLC_DIST_NAME}
XMLC_BIN = $(XMLC_OUTPUT)/bin
XMLC_DIST_BIN = $(XMLC_OUTPUT)/dist/bin
XMLC_LIB = $(XMLC_OUTPUT)/lib
XMLC_DOC = $(XMLC_OUTPUT)/doc/xmlc
XMLC_JAR = ${XMLC_LIB}/xmlc.jar

XMLC_ZIP_DIST = ${ROOT}/output/xmlc${XMLC_VERSION}.zip
XMLC_TAR_DIST = ${ROOT}/output/xmlc${XMLC_VERSION}.tar.gz

ENHYDRA_XMLC_DOC = ${OUTPUT}/doc/xmlc

ifneq (${XMLC_BUILD_3_0},YES)
ENHYDRA_CLASSPATH:=${MODULES}/XMLC/src${PS}${ENHYDRA_CLASSPATH}
endif

#
# Directory that will contain the test classes, both framework
# and generated.  These are generated in a seperate tree to 
# allow the XMLC 
#
XMLC_TEST_CLASSES = ${ABS_ROOT}/tmp/xmlc-test-classes
