#
# Awk script that parsed the output of a test run and looks
# for diffs that have failed.
#
BEGIN {
    lastDiff = "";
    prevLineDiff = 0;
}

/\+ diff / {
    lastDiff = $0;
    lastExpect = $3; 
    lastGot = $4;
    prevLineDiff = 1;
    next;
}

/diff -c/ {
    lastDiff = $0;
    lastExpect = $3;
    lastGot = $4;
    prevLineDiff = 1;
    next;
}

/diff / {
    lastDiff = $0;
    lastExpect = $2;
    lastGot = $3;
    prevLineDiff = 1;
    next;
}

/diff: /{
    print "cp " lastGot " " lastExpect;
}

prevLineDiff && /^[0-9]/ {
    print "cp " lastGot " " lastExpect;
}

/TEST-FAILED:/ {
    print "cp " lastGot " " lastExpect;
}

/.*/ {
    prevLineDiff = 0;

}
