/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package tests.org.enhydra.xml.io;

import org.w3c.dom.*;
import org.enhydra.xml.xmlc.XMLCError;
import org.enhydra.xml.xmlc.dom.XMLCDomFactory;
import org.enhydra.xml.xmlc.dom.xerces.XercesDomFactory;
import java.util.HashSet;
import org.apache.xerces.dom.DocumentTypeImpl;

/**
 * Fake WML XMLC DOM factory.  This only provides the URL rewriting check, 
 * evertything else is the generic DOM.
 */
public class WMLTestDomFactory extends XercesDomFactory {
    /**
     * WML URL attributes.
     */
    private static String[] URL_ATTRIBUTES = {
        "onenterforward", "onenterbackward",
        "ontimer", "href",
        "onpick", "src"
    };

    /**
     * HashSet built from URL_ATTRIBUTES.
     */
    private static final HashSet urlAttributes;

    /**
     * Class initializer.
     */
    static {
        urlAttributes = new HashSet(URL_ATTRIBUTES.length);
        for (int idx = 0; idx < URL_ATTRIBUTES.length; idx++) {
            urlAttributes.add(URL_ATTRIBUTES[idx]);
        }
    }
        
    /**
     * @see XMLCDomFactory#isURLAttribute
     */
    public boolean isURLAttribute(Element element,
                                  String attrName) {
        return urlAttributes.contains(attrName);
    }
}
