/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package tests.org.enhydra.xml.lazydom;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.FileWriter;
import org.w3c.dom.*;
import org.w3c.dom.html.HTMLDocument;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.enhydra.xml.lazydom.*;
import org.enhydra.xml.io.DOMParser;
import org.enhydra.xml.dom.DOMInfo;
import org.enhydra.xml.xmlc.html.HTMLObject;
import org.enhydra.xml.lazydom.html.LazyHTMLDocument;
import org.enhydra.xml.xmlc.compiler.Parse;

/**
 * Basic tests of Lazy DOM, using default document class.
 */
public class BasicHTMLTests extends TestSupport {
    /** Class for FrameTree.html */
    private static final String FRAME_TREE_CLASS = "tests.org.enhydra.xml.lazydom.FrameTreeHTML";

    /**
     * Simple test on FrameTree.html
     */
    private void test1_1(HTMLDocument frameTreeDOM) throws SAXException, IOException {
        LazyHTMLDocument lazyDoc
            = (LazyHTMLDocument)LazyDOMParser.build(LazyHTMLDocument.class,
                                                    frameTreeDOM);
        printNode("Unexpanded HTML Lazy DOM", frameTreeDOM,
                  "output/html1_1.basic.unexpanded-lazy.info");
        traverseTree(lazyDoc);
        printNode("Expanded Lazy DOM", frameTreeDOM,
                  "output/html1_1.basic.expanded-lazy.info");
    }
    

    /**
     * Test on FrameTree.html
     */
    private void test1() throws SAXException, IOException {
        HTMLDocument frameTreeDOM = (HTMLDocument)loadXMLCDocClass(FRAME_TREE_CLASS);
        
        printNode("ParsedHTML DOM", frameTreeDOM,
                  "output/html1.basic.orig-dom.info");
        test1_1(frameTreeDOM);
    }

    /**
     * Entry.
     */
    public static void main(String args[]) {
        try {
            BasicHTMLTests tests = new BasicHTMLTests();
            tests.test1();
        } catch(Exception except) {
            except.printStackTrace();
            System.exit(1);
        }
    }
}
